Debian Bug report logs - #203759
the patch does not apply cleanly to kernel-source-2.4.18-11

version graph

Package: kernel-patch-2.4-grsecurity; Maintainer for kernel-patch-2.4-grsecurity is (unknown);

Reported by: "Matus \"fantomas\" Uhlar" <uhlar@fantomas.sk>

Date: Fri, 1 Aug 2003 10:33:05 UTC

Severity: important

Tags: help, moreinfo

Merged with 204424

Found in versions 1.9.4-3, 1.9.4-1

Fixed in version kernel-patch-2.4-grsecurity/1.9.12-2

Done: madduck@debian.org (martin f. krafft)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jonathan McDowell <noodles@earth.li>:
Bug#203759; Package kernel-patch-2.4-grsecurity. Full text and rfc822 format available.

Acknowledgement sent to "Matus \"fantomas\" Uhlar" <uhlar@fantomas.sk>:
New Bug report received and forwarded. Copy sent to Jonathan McDowell <noodles@earth.li>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Matus \"fantomas\" Uhlar" <uhlar@fantomas.sk>
To: submit@bugs.debian.org
Subject: the patch does not apply cleanly to kernel-source-2.4.18-11
Date: Fri, 1 Aug 2003 12:22:18 +0200
Package: kernel-patch-2.4-grsecurity
Version: 1.9.4-3

the patch gives a conflict when trying to apply to nesest kernel-source
(2.4.18-11). The patch probably solves a bug that was solved in last update
of kernel-source.

-- 
Matus "fantomas" Uhlar, uhlar@fantomas.sk ; http://www.fantomas.sk/
Warning: I don't wish to receive e-mail advertising to this address.
Varovanie: Nezelam si na tuto adresu dostavat akukolvek reklamnu postu.
Fighting for peace is like fucking for virginity...



Information forwarded to debian-bugs-dist@lists.debian.org, Jonathan McDowell <noodles@earth.li>:
Bug#203759; Package kernel-patch-2.4-grsecurity. Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Jonathan McDowell <noodles@earth.li>. Full text and rfc822 format available.

Message #10 received at 203759@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 206458@bugs.debian.org, 199510@bugs.debian.org, 194225@bugs.debian.org, 203759@bugs.debian.org, 204424@bugs.debian.org
Cc: control@bugs.debian.org
Subject: more info needed
Date: Tue, 2 Sep 2003 22:50:53 +0200
[Message part 1 (text/plain, inline)]
severity 194225 important
severity 203759 important
severity 204424 important
severity 206458 important
tags 194225 +moreinfo +help
tags 199510 +moreinfo +help
tags 203759 +moreinfo +help
tags 204424 +moreinfo +help
tags 206458 +moreinfo +help
merge 194225 206458
merge 204424 203759
thanks

Hey thee, submitters of bugs...

If you expect me to fix the bug in the grsecurity kernel patch not
applying cleanly to your version of the kernel (whichever that was),
then please provide more information. Building a kernel with patches
takes more time than I have. Please give me the output of `make-kpkg
configure`, but try to trim it down to the stuff related to
grsecurity.

Also, a tarball of *just* the .rej files would be incredibly
helpful. Try to put that somewhere for download, upload it to
ftp://ftp.madduck.net/incoming, just please don't send it via email.

I will tag these bugs as wontfix if I don't receive help on them.
The reason is that 2.4.22 is out, and thus these problems are
theoretically problems of the past.

Thanks,

-- 
Please do not CC me when replying to lists; I read them!
 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer, admin, and user
`. `'`
  `-  Debian - when you have better things to do than fixing a system
 
Invalid/expired PGP subkeys? Use subkeys.pgp.net as keyserver!
[Message part 2 (application/pgp-signature, inline)]

Severity set to `important'. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: moreinfo Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 203759 204424. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: help Request was from madduck@piper.madduck.net (Martin F. Krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: help Request was from madduck@piper.madduck.net (Martin F. Krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from madduck@piper.madduck.net (Martin F. Krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from madduck@piper.madduck.net (Martin F. Krafft) to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to madduck@debian.org (martin f. krafft):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Matus \"fantomas\" Uhlar" <uhlar@fantomas.sk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 203759-close@bugs.debian.org (full text, mbox):

From: madduck@debian.org (martin f. krafft)
To: 203759-close@bugs.debian.org
Subject: Bug#203759: fixed in kernel-patch-2.4-grsecurity 1.9.12-2
Date: Sun, 21 Sep 2003 08:02:11 -0400
Source: kernel-patch-2.4-grsecurity
Source-Version: 1.9.12-2

We believe that the bug you reported is fixed in the latest version of
kernel-patch-2.4-grsecurity, which is due to be installed in the Debian FTP archive:

kernel-patch-2.4-grsecurity_1.9.12-2.dsc
  to pool/main/k/kernel-patch-2.4-grsecurity/kernel-patch-2.4-grsecurity_1.9.12-2.dsc
kernel-patch-2.4-grsecurity_1.9.12-2.tar.gz
  to pool/main/k/kernel-patch-2.4-grsecurity/kernel-patch-2.4-grsecurity_1.9.12-2.tar.gz
kernel-patch-2.4-grsecurity_1.9.12-2_all.deb
  to pool/main/k/kernel-patch-2.4-grsecurity/kernel-patch-2.4-grsecurity_1.9.12-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 203759@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
martin f. krafft <madduck@debian.org> (supplier of updated kernel-patch-2.4-grsecurity package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 21 Sep 2003 13:44:43 +0200
Source: kernel-patch-2.4-grsecurity
Binary: kernel-patch-2.4-grsecurity
Architecture: source all
Version: 1.9.12-2
Distribution: unstable
Urgency: low
Maintainer: martin f. krafft <madduck@debian.org>
Changed-By: martin f. krafft <madduck@debian.org>
Description: 
 kernel-patch-2.4-grsecurity - grsecurity kernel patch - 2.4.x security patch
Closes: 203759 204424
Changes: 
 kernel-patch-2.4-grsecurity (1.9.12-2) unstable; urgency=low
 .
   * Fixed the patch to apply to Debian kernel version 2.4.17
   * Fixed the patch to apply to Debian kernel version 2.4.18
       closes: Bug#203759, Bug#204424
   * Fixed the patch to apply to Debian kernel version 2.4.19
   * Decided to *not* support Debian kernel versions 2.4.20 and up. This
     decision is documented in
     /usr/share/doc/kernel-patch-2.4-grsecurity/README.2.4.2x.
   * Added note pertaining to the latter to debian/control.
   * Added debconf notice pertaining to the latter.
   * Changed debhelper scripts to use -i.
Files: 
 fe9650e46901a9fb5a77b433cbf8657d 580 devel extra kernel-patch-2.4-grsecurity_1.9.12-2.dsc
 6d9ec48ec9b71578a02d9a7073d1d9c0 835108 devel extra kernel-patch-2.4-grsecurity_1.9.12-2.tar.gz
 a2144cb0ba761a0c38fba78954da5602 844328 devel extra kernel-patch-2.4-grsecurity_1.9.12-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQE/bZAHIgvIgzMMSnURAoCJAKDgM4J0cd66L2LKazjm7O8Dh+kp9ACeNbjy
WzwZfrgTtz8s0olGjZI65Iw=
=wYdQ
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:01:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.